<!DOCTYPE html>
<html style="font-size: 16px" lang="en">
  <head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta charset="utf-8" />
    <meta name="keywords" content="mian optikal" />
    <meta name="description" content="" />
    <title>Assertion - Kwitansi Rendering</title>
    <link rel="icon" href="/images/mian_square.png" />
    <div th:replace="@{Printable/Kwitansi/Layout/nicepage}"></div>
    <div th:replace="@{Printable/Kwitansi/Layout/Page-1}"></div>
    <script
      class="u-script"
      type="text/javascript"
      src="jquery.js"
      defer=""
    ></script>
    <script
      class="u-script"
      type="text/javascript"
      src="nicepage.js"
      defer=""
    ></script>
    <meta name="generator" content="Nicepage 5.4.4, nicepage.com" />
    <link
      id="u-theme-google-font"
      rel="stylesheet"
      href="https://fonts.googleapis.com/css?family=Roboto:100,100i,300,300i,400,400i,500,500i,700,700i,900,900i|Open+Sans:300,300i,400,400i,500,500i,600,600i,700,700i,800,800i"
    />
    <link
      id="u-page-google-font"
      rel="stylesheet"
      href="https://fonts.googleapis.com/css?family=Montserrat:100,100i,200,200i,300,300i,400,400i,500,500i,600,600i,700,700i,800,800i,900,900i"
    />
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-KK94CHFLLe+nY2dmCWGMq91rCGa5gtU4mk92HdvYe+M/SXH301p5ILy+dN9+nJOZ"
      crossorigin="anonymous"
    />
    <script type="application/ld+json">
      {
        "@context": "http://schema.org",
        "@type": "Organization",
        "name": ""
      }
    </script>
    <meta name="theme-color" content="#478ac9" />
    <meta property="og:title" content="Page 1" />
    <meta property="og:type" content="website" />
    <meta data-intl-tel-input-cdn-path="intlTelInput/" />
  </head>
  <body
    data-home-page="Page-1.html"
    data-home-page-title="Page 1"
    class="u-body u-xl-mode"
    data-lang="en"
  >
    <center>
      <h2 style="color: red; background-color: black" id="warning">
        JANGAN TUTUP LAMAN INI HINGGA TOMBOL UNDUH MUNCUL!
      </h2>
      <a type="button" class="btn btn-secondary w-100" id="btnUnduh" hidden>
        <h2>Klik Untuk Mengunduh</h2>
      </a>
    </center>
    <div id="content">
      <section class="u-clearfix u-section-1" id="sec-cbac">
        <div class="u-clearfix u-sheet u-valign-middle u-sheet-1">
          <div
            class="u-clearfix u-expanded-width u-layout-wrap u-layout-wrap-1"
          >
            <div class="u-layout">
              <div class="u-layout-row">
                <div
                  class="u-container-style u-layout-cell u-size-30 u-layout-cell-1"
                >
                  <div class="u-container-layout u-container-layout-1">
                    <img
                      class="u-image u-image-contain u-image-default u-image-1"
                      src="/images/mian.png"
                      alt=""
                      data-image-width="401"
                      data-image-height="242"
                    />
                    <h1
                      class="u-custom-font u-text u-text-default u-text-font u-text-palette-1-base u-text-1"
                    >
                      mian optikal
                    </h1>
                    <p
                      class="u-align-center u-text u-text-default u-text-palette-1-base u-text-2"
                    >
                      TERIMA RESEP DOKTER<br />&amp; PESERTA BPJS<span
                        style="font-weight: 700"
                      ></span>
                    </p>
                    <p
                      class="u-text u-text-default u-text-palette-1-base u-text-3"
                    >
                      NIB&nbsp; &nbsp; &nbsp; &nbsp;: No. 9120309973509<br />IUM&nbsp;
                      &nbsp; &nbsp; : No. 503/760/Diskes/2018<br />Kantor Pusat
                      MIAN OPTIKAL : Jl. Pasundan 15&nbsp;<span
                        class="u-file-icon u-icon u-text-palette-1-base"
                        ><img src="/images/phone.png" alt="" /></span
                      >&nbsp; (0262) 231328 - Garut<br />PKPN Optikal : Jl.
                      Ciledug No. 79 Garut
                    </p>
                  </div>
                </div>
                <div
                  class="u-container-style u-layout-cell u-size-30 u-layout-cell-2"
                >
                  <div class="u-container-layout u-container-layout-2">
                    <p
                      class="u-align-left u-text u-text-default u-text-palette-1-base u-text-4"
                      th:text="'PESANAN NO. '+${Data.noPembelian}"
                      id="No"
                    >
                      PESANAN NO. 00
                    </p>
                    <p
                      class="u-text u-text-default u-text-palette-1-base u-text-5"
                      th:text="'yth. ' + ${Data.KategoriPembeli} + ' ' + ${Data.Pembeli}"
                    >
                      yth. TUAN 00
                    </p>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </section>
      <section class="u-clearfix u-section-2" id="sec-5bf6">
        <div class="u-clearfix u-sheet u-sheet-1">
          <div
            class="u-clearfix u-expanded-width u-layout-wrap u-layout-wrap-1"
          >
            <div class="u-layout">
              <div class="u-layout-row">
                <div
                  class="u-container-style u-layout-cell u-size-30 u-layout-cell-1"
                >
                  <div class="u-container-layout u-container-layout-1">
                    <p
                      class="u-text u-text-default u-text-palette-1-base u-text-1"
                      th:text="'R/ Dr. ' + ${Data.DrPemeriksa}"
                    >
                      R/ Dr. 00
                    </p>
                    <p
                      class="u-text u-text-default u-text-palette-1-base u-text-2"
                      th:text="'Lensa&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
                      &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;: ' + ${Data.lensa.NamaLensa} + ' ('+ ${Data.lensa.JenisLensa} +') | ' +  ${Data.lensa.UkuranKiri} + ' , ' + ${Data.lensa.UkuranKanan}"
                    >
                      Lensa&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
                      &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;: 00
                    </p>
                    <p
                      class="u-text u-text-default u-text-palette-1-base u-text-3"
                      th:text="'Frame&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
                      &nbsp; &nbsp; &nbsp; &nbsp; : ' + ${Data.frame.NamaFrame}"
                    >
                      Frame&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
                      &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; : 00
                    </p>
                    <p
                      class="u-text u-text-default u-text-palette-1-base u-text-4"
                      th:text="'Box&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
                      &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;: ' + ${Data.box.NamaBox}"
                    >
                      Box&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
                      &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;: 00
                    </p>
                    <p
                      class="u-text u-text-default u-text-palette-1-base u-text-5"
                      th:text="'Selesai&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
                      &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;: tgl. ' + ${Data.TanggalSelesai == '' ? '.......................' : Data.TanggalSelesai}"
                    >
                      Selesai&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
                      &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;: tgl. 00
                    </p>
                    <p
                      class="u-text u-text-default u-text-palette-1-base u-text-6"
                    >
                      Tanda tangan pemegang
                    </p>
                  </div>
                </div>
                <div
                  class="u-container-style u-layout-cell u-size-30 u-layout-cell-2"
                >
                  <div class="u-container-layout u-container-layout-2">
                    <p
                      class="u-text u-text-default u-text-palette-1-base u-text-7"
                      th:text="'Harga Lensa&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
                      &nbsp; &nbsp; &nbsp; &nbsp;: ' + 'Rp'+${#numbers.formatDecimal(Data.lensa.Harga, 0, 'POINT', 2, 'COMMA')}"
                    >
                      Harga Lensa&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
                      &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;: 00
                    </p>
                    <p
                      class="u-text u-text-default u-text-palette-1-base u-text-8"
                      th:text="'Harga Frame&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
                      &nbsp; &nbsp; &nbsp; : ' + 'Rp'+${#numbers.formatDecimal(Data.frame.Harga, 0, 'POINT', 2, 'COMMA')}"
                    >
                      Harga Frame&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
                      &nbsp; &nbsp; &nbsp; &nbsp; : 00
                    </p>
                    <p
                      class="u-text u-text-default u-text-palette-1-base u-text-9"
                      th:text="'Harga Box&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
                      &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;: ' + 'Rp'+${#numbers.formatDecimal(Data.box.Harga, 0, 'POINT', 2, 'COMMA')}"
                    >
                      Harga Box&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
                      &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;: 00
                    </p>
                    <p
                      class="u-text u-text-default u-text-palette-1-base u-text-10"
                      th:text="'Jumlah&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
                      &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
                      &nbsp;: ' + 'Rp'+${#numbers.formatDecimal((Data.lensa.Harga + Data.frame.Harga + Data.Box.Harga), 0, 'POINT', 2, 'COMMA')}"
                    >
                      Jumlah&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
                      &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
                      &nbsp;: 00
                    </p>
                    <p
                      class="u-text u-text-default u-text-palette-1-base u-text-11"
                      th:text="'Uang Muka&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
                      &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;: ' + 'Rp'+${#numbers.formatDecimal(Data.UangMuka, 0, 'POINT', 2, 'COMMA')}"
                    >
                      Uang Muka&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
                      &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;: 00
                    </p>
                    <p
                      class="u-text u-text-default u-text-palette-1-base u-text-12"
                      th:text="'Sisa&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
                      &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
                      &nbsp; &nbsp; &nbsp;: ' + 'Rp'+${#numbers.formatDecimal((Data.UangMuka - (Data.lensa.Harga + Data.frame.Harga + Data.Box.Harga)), 0, 'POINT', 2, 'COMMA')}"
                    >
                      Sisa&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
                      &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
                      &nbsp; &nbsp; &nbsp; &nbsp;: 00
                    </p>
                    <p
                      class="u-text u-text-default u-text-palette-1-base u-text-13"
                      th:text="'......................., ' + ${#dates.format(#dates.createNow(), 'dd MMMM yyyy')}"
                    >
                      ......................., 00-00-00
                    </p>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <img
            class="u-align-center u-image u-image-contain u-image-default u-opacity u-opacity-15 u-image-1"
            src="/images/mian.png"
            alt=""
            data-image-width="401"
            data-image-height="242"
          />
        </div>
      </section>
      <section class="u-clearfix u-section-3" id="sec-a0ae">
        <div class="u-clearfix u-sheet u-sheet-1">
          <div
            class="u-border-3 u-border-palette-2-base u-container-style u-group u-group-1"
          >
            <div class="u-container-layout u-container-layout-1">
              <p class="u-text u-text-default u-text-palette-2-base u-text-1">
                <span style="font-size: 1.25rem">MOHON PERHATIAN</span>
                <br />
                <br />1. Perusahaan tidak bertanggung jawab terhadap :<br />&nbsp;
                &nbsp; a. kwitansi bon pesanan yang hilang<br />&nbsp; &nbsp; b.
                kerusakan barang yang disimpan / dititipkan di toko kami<br />2.
                Pesanan dianggap batal jika tidak diambil dalam 3 (tiga) bln.<br />3.
                Uang yang sudah dibayarkan tidak bisa diminta kembali<br />4.
                Barang yang dibeli dipesan tidak bisa ditukar / dikembalikan<br />&nbsp;
                &nbsp; lagi
              </p>
            </div>
          </div>
        </div>
      </section>
    </div>
  </body>
</html>

<script
  src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.4/jquery.min.js"
  integrity="sha512-pumBsjNRGGqkPzKHndZMaAG+bir374sORyzM3uulLV14lN5LyykqNk8eEeUlUkB3U0M4FApyaHraT65ihJhDpQ=="
  crossorigin="anonymous"
  referrerpolicy="no-referrer"
></script>
<script>
  $(document).ready(function () {
    // Memuat plugin html2canvas
    $.getScript(
      "https://html2canvas.hertzen.com/dist/html2canvas.min.js",
      function () {
        // Mengambil screenshot dari body
        html2canvas(document.getElementById("content"), {
          scrollY: -window.scrollY,
        }).then(function (canvas) {
          // Mengkonversi canvas ke data URL dan mengunduhnya sebagai file PNG
          var screenshot = canvas.toDataURL("image/png");
          $("#warning").attr("hidden", true);

          $("#btnUnduh").attr(
            "download",
            "Mian optics Pesanan " + $("#No").text().replace(/\D/g, "") + ".png"
          );
          $("#btnUnduh").attr("href", screenshot);
          $("#btnUnduh").attr("hidden", false);
        });
      }
    );
  });
</script>
